
uniform float opacity;
uniform sampler2D layer_texture;
void main(void)
{
	//
	// apply source texture
	vec2 tex_coords = gl_TexCoord[0].xy;

	//
	// always default to master texture, replace if assigned
	vec4 col_source_texture = texture2D( layer_texture, tex_coords );
	col_source_texture.rgb *= opacity;

	//
	// output
	gl_FragColor = col_source_texture;
}
	